SliceRange (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class SliceRange

    java.lang.Object
      org.apache.cassandra.thrift.SliceRange

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<SliceRange>, org.apache.thrift.TBase<SliceRange,SliceRange._Fields>

    public class SliceRange

extends java.lang.Object
implements org.apache.thrift.TBase<SliceRange,SliceRange._Fields>, java.io.Serializable, java.lang.Cloneable

A slice range is a structure that stores basic range, ordering and limit information for a query that will return multiple columns. It could be thought of as Cassandra's version of LIMIT and ORDER BY

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SliceRange._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`int` | `count`
`java.nio.ByteBuffer` | `finish`
`static java.util.Map<SliceRange._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`boolean` | `reversed`
`java.nio.ByteBuffer` | `start`

Constructor Summary
`SliceRange()`
`SliceRange(java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int count)`
`SliceRange(SliceRange other)` Performs a deep copy on other.

Method Summary
`java.nio.ByteBuffer` | `bufferForFinish()`
`java.nio.ByteBuffer` | `bufferForStart()`
`void` | `clear()`
`int` | `compareTo(SliceRange other)`
`SliceRange` | `deepCopy()`
`boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(SliceRange that)`
`SliceRange._Fields` | `fieldForId(int fieldId)`
`int` | `getCount()`
`java.lang.Object` | `getFieldValue(SliceRange._Fields field)`
`byte[]` | `getFinish()`
`byte[]` | `getStart()`
`int` | `hashCode()`
`boolean` | `isReversed()`
`boolean` | `isSet(SliceRange._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
`boolean` | `isSetFinish()` Returns true if field finish is set (has been assigned a value) and false otherwise
`boolean` | `isSetReversed()` Returns true if field reversed is set (has been assigned a value) and false otherwise
`boolean` | `isSetStart()` Returns true if field start is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`SliceRange` | `setCount(int count)`
`void` | `setCountIsSet(boolean value)`
`void` | `setFieldValue(SliceRange._Fields field, java.lang.Object value)`
`SliceRange` | `setFinish(byte[] finish)`
`SliceRange` | `setFinish(java.nio.ByteBuffer finish)`
`void` | `setFinishIsSet(boolean value)`
`SliceRange` | `setReversed(boolean reversed)`
`void` | `setReversedIsSet(boolean value)`
`SliceRange` | `setStart(byte[] start)`
`SliceRange` | `setStart(java.nio.ByteBuffer start)`
`void` | `setStartIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetCount()`
`void` | `unsetFinish()`
`void` | `unsetReversed()`
`void` | `unsetStart()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public java.nio.ByteBuffer start

### finish

    public java.nio.ByteBuffer finish

### reversed

    public boolean reversed

### count

    public int count

### metaDataMap

    public static final java.util.Map<SliceRange._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### SliceRange

    public SliceRange()

### SliceRange

    public SliceRange(java.nio.ByteBuffer start,
                      java.nio.ByteBuffer finish,
                      boolean reversed,
                      int count)

### SliceRange

    public SliceRange(SliceRange other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public SliceRange deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### getStart

    public byte[] getStart()

### bufferForStart

    public java.nio.ByteBuffer bufferForStart()

### setStart

    public SliceRange setStart(byte[] start)

### setStart

    public SliceRange setStart(java.nio.ByteBuffer start)

### unsetStart

    public void unsetStart()

### isSetStart

    public boolean isSetStart()

  Returns true if field start is set (has been assigned a value) and false otherwise

### setStartIsSet

    public void setStartIsSet(boolean value)

### getFinish

    public byte[] getFinish()

### bufferForFinish

    public java.nio.ByteBuffer bufferForFinish()

### setFinish

    public SliceRange setFinish(byte[] finish)

### setFinish

    public SliceRange setFinish(java.nio.ByteBuffer finish)

### unsetFinish

    public void unsetFinish()

### isSetFinish

    public boolean isSetFinish()

  Returns true if field finish is set (has been assigned a value) and false otherwise

### setFinishIsSet

    public void setFinishIsSet(boolean value)

### isReversed

    public boolean isReversed()

### setReversed

    public SliceRange setReversed(boolean reversed)

### unsetReversed

    public void unsetReversed()

### isSetReversed

    public boolean isSetReversed()

  Returns true if field reversed is set (has been assigned a value) and false otherwise

### setReversedIsSet

    public void setReversedIsSet(boolean value)

### getCount

    public int getCount()

### setCount

    public SliceRange setCount(int count)

### unsetCount

    public void unsetCount()

### isSetCount

    public boolean isSetCount()

  Returns true if field count is set (has been assigned a value) and false otherwise

### setCountIsSet

    public void setCountIsSet(boolean value)

### setFieldValue

    public void setFieldValue(SliceRange._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(SliceRange._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### isSet

    public boolean isSet(SliceRange._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(SliceRange that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(SliceRange other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<SliceRange>`

### fieldForId

    public SliceRange._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<SliceRange,SliceRange._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation